User Tag List

  1. stupidroy's Avatar
    hi Everyone,

    I have just got my iphone today , which my sister bought it this monday.
    Now I have 2 questions,

    1. which versions of itunes should I use ?

    2. how can I check what firmware I have on iphone now , and if I do have 1.1.1. , should I just wait for it or should I downgrad it to 1.0.2?

    Many thanks
    2007-10-04 02:07 AM
  2. patrickj's Avatar
    1) Which iTunes version = depends a lot on what your decision is on whether or not to go with the latest, 1.1.1, firmware. If you want / need that, I believe that you have to be running iTunes 7.4.2 (on Mac) or 7.4.3 (on PC) in order to see that update properly.
    2a) = how to check the firmware version = see this iPhone Atlas post with guidance on that:
    http://www.iphoneatlas.com/2007/09/2...mware-version/
    2b) Which firmware version should you go with = that one is entirely your call. If you want 3rd party apps (right now, today) you need to hope you have Version 1.0.x and stick with it, or downgrade if you have 1.1.1. If you don't care about 3rd party apps and want to be current and like the features Apple included in latest update, then go with 1.1.1
    Hope that is of some help ...
    2007-10-04 02:20 AM
  3. stupidroy's Avatar
    1) Which iTunes version = depends a lot on what your decision is on whether or not to go with the latest, 1.1.1, firmware. If you want / need that, I believe that you have to be running iTunes 7.4.2 (on Mac) or 7.4.3 (on PC) in order to see that update properly.
    2a) = how to check the firmware version = see this iPhone Atlas post with guidance on that:
    http://www.iphoneatlas.com/2007/09/2...mware-version/
    2b) Which firmware version should you go with = that one is entirely your call. If you want 3rd party apps (right now, today) you need to hope you have Version 1.0.x and stick with it, or downgrade if you have 1.1.1. If you don't care about 3rd party apps and want to be current and like the features Apple included in latest update, then go with 1.1.1
    Hope that is of some help ...
    yes it helps, forgot to mention I'm in australia, so I have to jailbreak it. another question is, i do wanna use all those 3rd party app, can I use itunes 7.3 ?

    cheers
    2007-10-04 02:28 AM
  4. patrickj's Avatar
    You should be able to use 7.3 as far as I know. Oh, and if you want to keep that 3rd party apps ability and always have the downgrade option (if you're at 1.1.1 etc) it is definitely worth downloading a copy of Itunes 7.3 setup as well the 1.0.2 restore file - called 'iPhone1,1_1.0.2_1C28_Restore.ipsw'.
    Cheers ...
    2007-10-04 02:49 AM
  5. nxt's Avatar
    I think what he is asking is can you use 7.4.x and up with a Jailbroken unlocked iPhone or is that going to cause shit?

    The only thing I can think of is that it will break the 3rd party apps if you happen to upgrade to 1.1.1 by mistake...that being said will everything else work?


    -nx
    2007-10-04 03:34 AM
  6. patrickj's Avatar
    I've attached a 'freed' iPhone to PC running iTunes latest and had no probs. As a precaution per advice seen on other forums (that I'm not convinced is necessary but hey) made sure it had no web connection while attaching iPhone ...
    2007-10-04 05:55 AM
LINK TO POST COPIED TO CLIPBOARD